import request from '@/utils/request'

// 获取功能分类基本信息
export function getDetectionLib(data) {
  return request({
    url: request.apiModule.rpfm + '/detectionLib',
    method: 'get',
    params: data
  })
}

//新建功能类别管理
export function createDetectionLib(data) {
  return request({
    url: request.apiModule.rpfm + '/detectionLib/manager',
    method: 'post',
    data
  })
}

//更新功能类别管理
export function updateDetectionLib(data) {
  return request({
    url: request.apiModule.rpfm + '/detectionLib',
    method: 'put',
    data
  })
}

//获取功能类别属性详细信息
export function getDetectionLibInfo(param) {
  return request({
    url: request.apiModule.rpfm + '/detectionLib/' + param,
    method: 'get'
  })
}

//新增或更新功能类别详细信息（若是新增detailId填空）（编辑时）
export function updateDetectionLibInfo(data) {
  return request({
    url: request.apiModule.rpfm + '/detectionLib/detail',
    method: 'put',
    data
  })
}

//删除功能类别详细信息
export function deleteDetectionLib(id) {
  return request({
    url: request.apiModule.rpfm + '/detectionLib/detail',
    method: 'delete',
    data: { id: id }
  })
}
